listener

A listener for incoming connections. More...

`#include <listener.hpp>`

## Public Member Functions

| listener ()
| Create an empty listener.
| listener (const listener &)
| Copy a listener.
listener & | operator= (const listener &)
| Copy a listener.
void | stop ()
| Stop listening on the address provided to the call to container::listen that returned this listener.
int | port ()
| Unsettedled API More...
class container & | container () const
| Unsettedled API More...

## Friends

class | container

## Detailed Description

A listener for incoming connections.

Examples
  broker.cpp, direct_recv.cpp, direct_send.cpp, and server_direct.cpp.

## Member Function Documentation

## port()

int port | ( |  | ) |

Unsettedled API

Return the port used by the listener. If port 0 was passed to container::listen, this will be a dynamically allocated port.

Exceptions

  proton::error | if the listener does not have a port

Examples
  direct_recv.cpp, direct_send.cpp, and server_direct.cpp.

## container()

class container& container | ( |  | ) | const

Unsettedled API

Get the container.

Exceptions

  proton::error | if this listener is not managed by a container.

The documentation for this class was generated from the following file:

- proton/listener.hpp